refnamediv
Prev | DocBook Element Reference | Next

This is an alpha version of this book.

# refnamediv

refnamediv — The name, purpose, and classification of a reference page

## Synopsis

### Content Model

    refnamediv ::=
    (refdescriptor?,refname+,refpurpose,refclass*,
     (remark|link|olink|ulink)*)

### Attributes

Common attributes

## Description

`RefNameDiv` is the first mandatory section in a `RefEntry`. It is a peer to `RefSynopsisDiv` and `RefSect1`.

The elements in `RefNameDiv` identify the topic of the reference page (`RefDescriptor` or `RefName`), provide a concise summary (`RefPurpose`), and classify the page (`RefClass`).

### Processing expectations

Formatted as a displayed block. `RefNameDiv` usually generates a section heading, in the same typographic style as a `RefSect1` `Title`, called “Name.”

The content of this section is traditionally the `RefDescriptor` or `RefName`, and the `RefPurpose`, separated by an em dash.

The `RefClass` may be presented, or it may be suppressed and used only to select a group of reference pages to process. You might use the value of `RefClass` to print all the reference pages appropriate to Solaris™ UNIX, for example.

Formatting reference pages may require a fairly sophisticated processing system. Much of the meta-information about a reference page (its name, type, purpose, title, and classification) is stored in wrappers near the beginning of the `RefEntry`.

Common presentational features, such as titles and running headers, may require data from several of these wrappers plus some generated text. Other formatting often requires that these elements be reordered.

### Parents

These elements contain refnamediv: `refentry`.

### Children

The following elements occur in refnamediv: `link`, `olink`, `refclass`, `refdescriptor`, `refname`, `refpurpose`, `remark`, `ulink`.

## See Also

`refsect1`, `refsect2`, `refsect3`, `refsection`, `refsynopsisdiv`.

## Examples

For examples, see `refentry` .

Prev | Home | Next
refname | Up | refpurpose

Copyright© 1999, 2000, 2001 O'Reilly & Associates, Inc. All rights reserved.